> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1smsroutingroutessmpp connections



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/routing/routes/smpp-connections
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/routes/smpp-connections:
    post:
      tags:
        - SmsRoutingSmppConnections
      operationId: sms.routing.routes.smpp-connections.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                username:
                  type: string
                password:
                  type: string
                port:
                  type: integer
                dlr_url:
                  type:
                    - string
                    - 'null'
                dlr_port:
                  type:
                    - integer
                    - 'null'
                workers_count:
                  type:
                    - integer
                    - 'null'
                  minimum: 1
                  maximum: 10
                workers_delay:
                  type:
                    - number
                    - 'null'
                system_type:
                  type:
                    - string
                    - 'null'
              required:
                - url
                - username
                - password
                - port
      responses:
        '200':
          description: '`SmsRouteSmppConnectionResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SmsRouteSmppConnectionResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRouteSmppConnectionResource:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        username:
          type:
            - string
            - 'null'
        password:
          type:
            - string
            - 'null'
        port:
          type:
            - string
            - 'null'
        dlr_url:
          type:
            - string
            - 'null'
        dlr_port:
          type:
            - string
            - 'null'
        workers_count:
          type:
            - integer
            - 'null'
        workers_delay:
          type:
            - string
            - 'null'
        system_type:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        type:
          type: string
          example: SMPP
      required:
        - id
        - url
        - username
        - password
        - port
        - dlr_url
        - dlr_port
        - workers_count
        - workers_delay
        - system_type
        - created_at
        - type
      title: SmsRouteSmppConnectionResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````